# Namespace goog.labs.testing

code »

## Interfaces

goog.labs.testing.Matcher A matcher object to be used in assertThat statements.

## Classes

goog.labs.testing.AllOfMatcher The AllOf matcher. goog.labs.testing.AnyOfMatcher The AnyOf matcher. goog.labs.testing.CloseToMatcher The CloseTo matcher. goog.labs.testing.ContainsStringMatcher The ContainsString matcher. goog.labs.testing.EndsWithMatcher The EndsWith matcher. goog.labs.testing.EqualToIgnoringWhitespaceMatcher The EqualToIgnoringWhitespace matcher. goog.labs.testing.EqualToMatcher The EqualTo matcher. goog.labs.testing.EqualsMatcher The Equals matcher. goog.labs.testing.GreaterThanEqualToMatcher The GreaterThanEqualTo matcher. goog.labs.testing.GreaterThanMatcher The GreaterThan matcher. goog.labs.testing.HasPropertyMatcher The HasProperty matcher. goog.labs.testing.InstanceOfMatcher The InstanceOf matcher. goog.labs.testing.IsNotMatcher The IsNot matcher. goog.labs.testing.IsNullMatcher The IsNull matcher. goog.labs.testing.IsNullOrUndefinedMatcher The IsNullOrUndefined matcher. goog.labs.testing.IsUndefinedMatcher The IsUndefined matcher. goog.labs.testing.LessThanEqualToMatcher The LessThanEqualTo matcher. goog.labs.testing.LessThanMatcher The lessThan matcher. goog.labs.testing.MatcherError Error thrown when a Matcher fails to match the input value. goog.labs.testing.ObjectEqualsMatcher The Equals matcher. goog.labs.testing.RegexMatcher The MatchesRegex matcher. goog.labs.testing.StartsWithMatcher The StartsWith matcher. goog.labs.testing.StringContainsInOrderMatcher The StringContainsInOrdermatcher.

Show:Public Protected Private

## Global Functions

code »goog.labs.testing.assertThat ( actual, matcher, opt_reason )

Asserts that the actual value evaluated by the matcher is true.

Parameters
actual: `*` The object to assert by the matcher. matcher: `!goog.labs.testing.Matcher` A matcher to verify values. opt_reason: `string=` Description of what is asserted.